Subject: bug#15238: 24.3.50; Frame focus not updated between 2 frames

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 16:35:11 +0100

Renaud Casenave-Péré <[email-masked]> writes:

> When emacs is started as a daemon with a specified name for the socket (for
> example `emacs --daemon=server') and 2 or more frames are opened with
> `emacsclient -c', switching between those frames without a mouse click (standard
> alt-tab or focus-follows-mouse behavior) doesn't update the focused frame :
> keyboard input will appear in the previously focused frame, not the currently
> focused one.
>
> A `C-g' or a mouse click update the focus immediately though.
>
> The problem occurs (was tested) with lucid and gtk3 toolkits and in gnome3 and
> clfswm (a tiling wm).
> It doesn't occur when emacs is started normally (`emacs -Q') followed by a
> `(server-start)' command, nor when it is started as a daemon without specifying
> a name for the socket.

(This bug report unfortunately got no response at the time.)

I tried reproducing this in Emacs 28 on Debian/bullseye with Gnome
Shell, navigating to the emacsclient frames with M-TAB works as expected
for me.

Are you still seeing this issue on more recent versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no